




path = "X:\Media\Anime\Stratos 4 (2003) [tvdb-79022]\Season 01\Stratos 4 (2003) - S01E03 - 003 - Code 103 Decision Height [SDTV][8bit][XviD][Vorbis 2.0][JA]-ZFB.mkv"
import os
from pathlib import Path

file = Path(path)
print(os.path.dirname(file))
print(os.path.dirname(os.path.dirname(file)))
print(file.parent.parent.name)
print()


show_folder_name = file.parent.parent.name
season_folder_name = file.parent.name

print(show_folder_name)
print(season_folder_name)